Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.mime
Class MimeHeadersFactory

    java.lang.Object
      |
      +--org.w3c.www.mime.MimeHeadersFactory

public class MimeHeadersFactory
extends java.lang.Object
implements MimeParserFactory

A Mime header factory, that will build instances of the MimeHeaders class to hold MIME headers.

Constructor Summary
`MimeHeadersFactory()`

Method Summary
`MimeHeaderHolder` | `createHeaderHolder(MimeParser parser)` Create a new header holder to hold the parser's result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeHeadersFactory

    public MimeHeadersFactory()

Method Detail

### createHeaderHolder

    public MimeHeaderHolder createHeaderHolder(MimeParser parser)

  Create a new header holder to hold the parser's result.
  Specified by:
    createHeaderHolder in interface MimeParserFactory
  Parameters:
    `parser` - The parser that has something to parse.
  Returns:
    A MimeParserHandler compliant object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD